Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.bundling
Class Jar

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.bundling.AbstractArchiveTask
                      org.gradle.api.tasks.bundling.Zip
                          org.gradle.api.tasks.bundling.Jar

    class Jar
    extends Zip

author:
  Hans Dockter

Property Summary
`static java.lang.String` | `DEFAULT_EXTENSION`
`org.gradle.api.tasks.bundling.AntJar` | `antJar`
`java.lang.String` | `fileSetManifest`
`org.gradle.api.tasks.bundling.GradleManifest` | `manifest`
`java.util.List` | `metaInfResourceCollections`

Constructor Summary
`Jar(Project project, java.lang.String name)`

Method Summary
`groovy.lang.Closure` | `createAntArchiveTask()`
`AntJar` | `getAntJar()`
`java.lang.String` | `getFileSetManifest()`
`GradleManifest` | `getManifest()`
`java.util.List` | `getMetaInfResourceCollections()`
`void` | `setAntJar(AntJar antJar)`
`void` | `setFileSetManifest(java.lang.String fileSetManifest)`
`void` | `setManifest(GradleManifest manifest)`
`void` | `setMetaInfResourceCollections(java.util.List metaInfResourceCollections)`

Methods inherited from class Zip
getAntZip, setAntZip

Methods inherited from class AbstractArchiveTask
addFileSetInternal, antDirective, createAntArchiveTask, createFileSetInternal, fileSet, fileSet, files, files, generateArchive, getAppendix, getArchiveName, getArchivePath, getBaseDir, getBaseName, getClassifier, getCustomName, getDestinationDir, getExtension, getMergeFileSets, getMergeGroupFileSets, getResourceCollections, getVersion, merge, mergeGroup, resourceCollections, setAppendix, setBaseDir, setBaseName, setClassifier, setCreateIfEmpty, setCustomName, setDestinationDir, setExtension, setMergeFileSets, setMergeGroupFileSets, setResourceCollections, setVersion

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### DEFAULT_EXTENSION

    public static final java.lang.String DEFAULT_EXTENSION

### antJar

    org.gradle.api.tasks.bundling.AntJar antJar

### fileSetManifest

    java.lang.String fileSetManifest

### manifest

    org.gradle.api.tasks.bundling.GradleManifest manifest

### metaInfResourceCollections

    java.util.List metaInfResourceCollections

Constructor Detail

### Jar

    public Jar(Project project, java.lang.String name)

Method Detail

### createAntArchiveTask

    groovy.lang.Closure createAntArchiveTask()

### getAntJar

    public AntJar getAntJar()

### getFileSetManifest

    public java.lang.String getFileSetManifest()

### getManifest

    public GradleManifest getManifest()

### getMetaInfResourceCollections

    public java.util.List getMetaInfResourceCollections()

### setAntJar

    public void setAntJar(AntJar antJar)

### setFileSetManifest

    public void setFileSetManifest(java.lang.String fileSetManifest)

### setManifest

    public void setManifest(GradleManifest manifest)

### setMetaInfResourceCollections

    public void setMetaInfResourceCollections(java.util.List metaInfResourceCollections)

Groovy Documentation